Index: code/branches/hudHS14/src/modules/overlays/hud/HUDNavigation.cc
===================================================================
--- code/branches/hudHS14/src/modules/overlays/hud/HUDNavigation.cc	(revision 10083)
+++ code/branches/hudHS14/src/modules/overlays/hud/HUDNavigation.cc	(revision 10110)
@@ -298,5 +298,6 @@
                     if (!it->second.wasOutOfView_)
                     {
-                        it->second.panel_->setMaterialName(TextureGenerator::getMaterialName("arrows.png", it->first->getRadarObjectColour()));
+                    	it->second.health_->hide();
+                    	it->second.panel_->setMaterialName(TextureGenerator::getMaterialName("arrows.png", it->first->getRadarObjectColour()));
                         it->second.wasOutOfView_ = true;
                         it->second.target_->hide();
@@ -364,6 +365,15 @@
                         it->second.panel_->setDimensions(this->navMarkerSize_ * this->getActualSize().x, this->navMarkerSize_ * this->getActualSize().y);
                         it->second.target_->setDimensions(this->aimMarkerSize_ * this->getActualSize().x, this->aimMarkerSize_ * this->getActualSize().y);
+
+                        //manipulation bzw versuch !!! Jonas
+                        it->second.health_->setMaterialName(TextureGenerator::getMaterialName("bar2b.png", it->first->getRadarObjectColour()));
+
                         it->second.wasOutOfView_ = false;
                     }
+
+                    // Position health (versuch !!!!)
+                    it->second.health_->setLeft((pos.x + 1.0f - it->second.panel_->getWidth()) * 0.5f);
+                    it->second.health_->setTop((-pos.y + 1.0f - it->second.panel_->getHeight()) * 0.5f);
+
 
                     // Position marker
@@ -377,4 +387,6 @@
 
                     // Make sure the overlays are shown
+
+                    it->second.health_->show();
                     it->second.panel_->show();
                     it->second.text_->show();
@@ -419,4 +431,5 @@
 
             {
+            	it->second.health_->hide()
                 it->second.panel_->hide();
                 it->second.text_->hide();
@@ -442,4 +455,6 @@
         for (std::map<RadarViewable*, ObjectInfo>::iterator it = this->activeObjectList_.begin(); it != this->activeObjectList_.end(); ++it)
         {
+        	if (it->second.health_ != NULL)
+        	    it->second.health_->setDimensions(this->healthMarkerSize_ * xScale, this->healthMarkerSize_ * yScale);
             if (it->second.panel_ != NULL)
                 it->second.panel_->setDimensions(this->navMarkerSize_ * xScale, this->navMarkerSize_ * yScale);
@@ -468,4 +483,12 @@
 
         // Create everything needed to display the object on the radar and add it to the map
+        // Create health
+                Ogre::PanelOverlayElement* health = static_cast<Ogre::PanelOverlayElement*>( Ogre::OverlayManager::getSingleton()
+                        .createOverlayElement("Panel", "HUDNavigation_healthMarker_" + getUniqueNumberString()));
+                //panel->setMaterialName("Orxonox/NavTDC");
+                health->setMaterialName(TextureGenerator::getMaterialName("bar2b.png", object->getRadarObjectColour()));
+                health->setDimensions(this->healthMarkerSize_ * xScale, this->healthMarkerSize_ * yScale);
+                //panel->setColour(object->getRadarObjectColour());
+
 
         // Create arrow/marker
@@ -490,4 +513,5 @@
         text->setColour(object->getRadarObjectColour());
 
+        health->hide();
         panel->hide();
         target->hide();
@@ -495,7 +519,8 @@
 
         ObjectInfo tempStruct =
-        {   panel, target, text, false, false, false};
+        {   health, panel, target, text, false, false, false, false};
         this->activeObjectList_[object] = tempStruct;
 
+        this->background_->addChild(health);
         this->background_->addChild(panel);
         this->background_->addChild(target);
@@ -512,8 +537,10 @@
         {
             // Detach overlays
+        	this->background_->removeChild(it->second.health_->getName());
             this->background_->removeChild(it->second.panel_->getName());
             this->background_->removeChild(it->second.target_->getName());
             this->background_->removeChild(it->second.text_->getName());
             // Properly destroy the overlay elements (do not use delete!)
+            Ogre::OverlayManager::getSingleton().destroyOverlayElement(it->second.health_);
             Ogre::OverlayManager::getSingleton().destroyOverlayElement(it->second.panel_);
             Ogre::OverlayManager::getSingleton().destroyOverlayElement(it->second.target_);