Index: code/branches/pickupsFS14/src/modules/jump/JumpFigure.h
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpFigure.h	(revision 10074)
+++ code/branches/pickupsFS14/src/modules/jump/JumpFigure.h	(revision 10111)
@@ -21,15 +21,9 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Fabien Vultier
  *   Co-authors:
  *      ...
  *
  */
-
-/**
-    @file JumpFigure.h
-    @brief Declaration of the JumpFigure class.
-    @ingroup Jump
-*/
 
 #ifndef _JumpFigure_H__
@@ -42,16 +36,4 @@
 namespace orxonox
 {
-
-    /**
-    @brief
-        The JumpFigure class manages the bats for @ref orxonox::Jump "Jump", which are the elements controlled by the players.
-
-        It is responsible for the movement (controlled by the players) of the bat.
-
-    @author
-        Fabian 'x3n' Landau
-
-    @ingroup Jump
-    */
     class _JumpExport JumpFigure : public ControllableEntity
     {
@@ -59,19 +41,13 @@
             JumpFigure(Context* context); //!< Constructor. Registers and initializes the object.
             virtual ~JumpFigure() {}
-
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-
             virtual void tick(float dt);
-
             virtual void moveFrontBack(const Vector2& value); //!< Overloaded the function to steer the bat up and down.
             virtual void moveRightLeft(const Vector2& value); //!< Overloaded the function to steer the bat up and down.
-
             virtual void rotateYaw(const Vector2& value);
             virtual void rotatePitch(const Vector2& value);
             virtual void rotateRoll(const Vector2& value);
-
             void fire(unsigned int firemode);
             virtual void fired(unsigned int firemode);
-
             virtual void JumpFromPlatform(JumpPlatform* platform);
             virtual void JumpFromSpring(JumpSpring* spring);
@@ -85,111 +61,80 @@
             virtual bool StartShield(JumpShield* shield);
             virtual void StopShield(JumpShield* shield);
-
             virtual void InitializeAnimation(Context* context);
 
             void setFieldDimension(float width, float height)
                 { fieldWidth_ = width; fieldHeight_ = height; }
-
             void setFieldDimension(const Vector2& dimension)
                 { setFieldDimension(dimension.x, dimension.y); }
-
             Vector2 getFieldDimension() const
                 { return Vector2(fieldWidth_, fieldHeight_); }
-
             void setMouseFactor(const float mouseFactor)
                 { mouseFactor_ = mouseFactor; }
-
             const float getMouseFactor() const
                 { return mouseFactor_; }
-
             void setModelLeftHand(const std::string& modelLeftHand)
                 { modelLeftHand_ = modelLeftHand; }
-
             const std::string& getModelLeftHand() const
                 { return modelLeftHand_; }
-
             void setModelRightHand(const std::string& modelRightHand)
                 { modelRightHand_ = modelRightHand; }
-
             const std::string& getModelRightHand() const
                 { return modelRightHand_; }
-
             void setRocketPos(const float rocketPos)
                 { rocketPos_ = rocketPos; }
-
             const float getRocketPos() const
                 { return rocketPos_; }
-
 			void setPropellerPos(const float propellerPos)
 				{ propellerPos_ = propellerPos; }
-
 			const float getPropellerPos() const
 				{ return propellerPos_; }
-
 			void setBootsPos(const float bootsPos)
 				{ bootsPos_ = bootsPos; }
-
 			const float getBootsPos() const
 				{ return bootsPos_; }
-
             void setJumpSpeed(const float jumpSpeed)
                 { jumpSpeed_ = jumpSpeed; }
-
             const float getJumpSpeed() const
                 { return jumpSpeed_; }
-
             void setRocketSpeed(const float rocketSpeed)
                 { rocketSpeed_ = rocketSpeed; }
-
             const float getRocketSpeed() const
                 { return rocketSpeed_; }
-
             void setPropellerSpeed(const float propellerSpeed)
                 { propellerSpeed_ = propellerSpeed; }
-
             const float getPropellerSpeed() const
                 { return propellerSpeed_; }
-
             void setHandMinAngle(const float handMinAngle)
                 { handMinAngle_ = handMinAngle; }
-
             const float getHandMinAngle() const
                 { return handMinAngle_; }
-
             void setHandMaxAngle(const float handMaxAngle)
                 { handMaxAngle_ = handMaxAngle; }
-
             const float getHandMaxAngle() const
                 { return handMaxAngle_; }
-
             void setHandSpeed(const float handSpeed)
                 { handSpeed_ = handSpeed; }
-
             const float getHandSpeed() const
                 { return handSpeed_; }
 
-            bool fireSignal;
+            bool fireSignal_;
+            bool rocketActive_;
+            bool propellerActive_;
             bool dead_;
-
         private:
             std::string modelLeftHand_;
             std::string modelRightHand_;
-
             Model* leftHand_;
             Model* rightHand_;
-
             float fieldWidth_;
             float fieldHeight_;
-            float timeSinceLastFire;
-
-            bool moveUpPressed;
-            bool moveDownPressed;
-            bool moveLeftPressed;
-            bool moveRightPressed;
-            bool firePressed;
-
-            float gravityAcceleration;
+            float timeSinceLastFire_;
+            bool moveUpPressed_;
+            bool moveDownPressed_;
+            bool moveLeftPressed_;
+            bool moveRightPressed_;
+            bool firePressed_;
+            float gravityAcceleration_;
             float mouseFactor_;
-
             float jumpSpeed_;
             float handSpeed_;
@@ -199,14 +144,9 @@
             float propellerPos_;
             float bootsPos_;
-            float maxFireRate;
-
-            float horizontalSpeed;
-
+            float maxFireRate_;
+            float horizontalSpeed_;
             float handAngle_;
             bool animateHands_;
             bool turnUp_;
-
-            bool rocketActive_;
-            bool propellerActive_;
             bool bootsActive_;
             bool shieldActive_;